﻿# Some pretty pictures. You can skip these
image bg = "demo/bg.webp"
image aya = "demo/Ayame Errkk.webp"
image nan = "demo/Nana Confident.webp"
image han = "demo/Hana Impressed m.webp"
image may = "demo/Mayonaise Angry.webp"
define aya = Character('Ayame', color="#099")
define nan = Character('Nana', color="#505")
define han = Character('Hana', color="#099")
define may = Character('Mayonaise', color="#505")

# define some items, the instance names must be unique in the whole game
default apple_turnover = food(
    "Apple turnover",                                                   # Name
    "An apple pastry. Well, it's more pastry with a hint of apple.",    # Description
    "inventory/icons/apple_turnover.png",                               # Icon
    240                                                                # Price/value
    )
default biscuit_marshmallow = food(
    "Biscuit marshmallow",
    "Marshmallow sandwiched between biscuit. Cheap and crumbly.",
    "inventory/icons/biscuit_marshmallow.png",
    24
    )
default butter_cake = food(
    "Butter cake",
    "A big lie. The cake is a lie.\nAlso it's full of sugar that's pretty bad for you health.",
    "inventory/icons/butter_cake.png",
    420
    )
default chocolate_cake = food(
    "Chocolate cake",
    "Some chocolaty goodness. Brown like the child slaves that harvested the chocolate.",
    "inventory/icons/chocolate_cake.png",
    530
    )
default sundae = food(
    "Sundae",
    "It's ice cream in a glass, for some reason much more expensive that it should be.",
    "inventory/icons/sundae.png",
    12
    )
default strawberry_cake = food(
    "Strawberry cake",
    "IT's practically a salad. It has fruit on it.",
    "inventory/icons/strawberry_cake.png",
    8
    )
default white_cake = food(
    "White cake",
    "IT's racist, sexist, lotsofobic and part of patriarchy by virtue of it's color.",
    "inventory/icons/white_cake.png",
    8
    )

default ananas = food(
    "Ananas",
    "It's time to learn it's real name.",
    "inventory/icons/ananas.png",
    8
    )
default apple = food(
    "Apple",
    "Pact full of vitamins, fiber and sugar.",
    "inventory/icons/apple.png",
    8
    )
default cashew_apple = food(
    "Cashew apple",
    "Is it really safe to eat?",
    "inventory/icons/cashew_apple.png",
    8
    )
default cherry = food(
    "Cherry",
    "Be careful or you'll lose it.",
    "inventory/icons/cherry.png",
    8
    )
default kiwi = food(
    "Kiwi",
    "A hairy situation that's gone sour.",
    "inventory/icons/kiwi.png",
    8
    )
default orange = food(
    "Orange",
    "Not the right fruit for this frame color.",
    "inventory/icons/orange.png",
    8
    )
default strawberry = food(
    "Strawberry",
    "Tastes like cough medicine.",
    "inventory/icons/strawberry.png",
    8
    )
default watermelon = food(
    "Watermelon",
    "Lots of water.",
    "inventory/icons/watermelon.png",
    8
    )

default car_keys = item(
    "Car keys",
    "Keys to my car.",
    "inventory/icons/car_keys.png",
    8
    )
default golden_key = item(
    "Golden key",
    "Either opens an important door or a box full of junk.",
    "inventory/icons/golden_key.png",
    8
    )

default kitchen_knife = item(
    "Kitchen knife",
    "Time to cut something!",
    "inventory/icons/kitchen_knife.png",
    8
    )
default knife_and_fork = item(
    "Knife and fork",
    "Time to eat!",
    "inventory/icons/knife_and_fork.png",
    8
    )
default spoon = item(
    "Spoon",
    "Time to spoon!",
    "inventory/icons/spoon.png",
    8
    )

# A list of items for testing
default all_items = [
    apple_turnover, biscuit_marshmallow, butter_cake, chocolate_cake, sundae, strawberry_cake, white_cake,
    ananas, apple, cashew_apple, cherry, kiwi, orange, strawberry, watermelon,
    car_keys, golden_key,
    kitchen_knife, knife_and_fork, spoon,
]

# define some inventories for your characters
default hero = inventory_class("You")
default nana = inventory_class("Nana")
default hana = inventory_class("Hana")
default mayonnaise = inventory_class(
    "Mayonnaise",
    23002,
    [
        stack(apple_turnover, 12),
        stack(biscuit_marshmallow, 33),
        stack(butter_cake, 6),
        stack(chocolate_cake, 5),
        stack(sundae, 2),
        stack(strawberry_cake, 2),
        stack(white_cake, 1),
    ],
    )


label inventory_example:
    show bg
    show aya at center with dissolve
    aya "Hi!"
    # How to give an item
    $ hero.got(stack(apple, 1))
    # it must be a stack(item_name, item_quantity) format
    aya "please take this apple."
    "Bye."
    hide aya with dissolve
    "..."
    menu:
        "Throw the apple away.":
            # Drop an item
            $ hero.drop(stack(apple, 1))
        "keep it.":
            pass
    show nan at center with dissolve
    nan "Hey Do you have something to eat? I'm starving."
    # Check if you have an apple
    if hero.has(stack(apple, 1)):
        # Giving an item to somebody will remove it from your inventory
        $ hero.give(nana, stack(apple, 1))
        "I have this apple."
        nan "Thank you. You saved my life."
        "..."
        # Add a list of items to hero's inventory. It must be a list of stacks.
        $ hero.got([stack(golden_key, 1), stack(kitchen_knife, 1), stack(spoon, 3)])
        nan "Here take these."
        # Add some cash too.
        $ hero.got(334)
        nan "And some money."
        # Or a brunch at once. Throw some items in while you're at it as well.
        $ hero.got([220, 99, stack(spoon, 5)])
        nan "Take everything I have."
    else:
        "no sorry"
        nan "Alright."
    nan "Bye."
    hide nan with dissolve
    "..."
    show han at center with dissolve
    if hero.has(stack(kitchen_knife, 1)):
        han "Hey, where did you get that knife?"
        "Some girl gave it to me"
        han "I'll have to confiscate it. those spoons too."
        # You can give a list of items too
        $ hero.give(hana, [stack(kitchen_knife, 1), stack(spoon, 8)])
        "alright"
    "..."
    hide han with dissolve
    jump inventory_example_1

# Let's use screens to show the car keys
screen car_keys_screen():
    # Check if hero doesn't have the car keys
    if not hero.has(stack(car_keys, 1)):
        # Show the car keys
        button:
            align .5,.5
            add car_keys.icon
            action Function(hero.got, stack(car_keys, 1))

label inventory_example_1:
    # using the same inventory in a screen
    show screen car_keys_screen
    "Did she drop her keys?"
    show may at center with dissolve
    may "Hi, do you want to buy some of my sweets?"
    "Ummm... sure."
label inventory_example_2:
    # looks intimidating but it only getting the names and price from the inventory system
    menu:
        "[apple_turnover.name] for [apple_turnover.value]" if hero.cash >= apple_turnover.value:
            $ hero.got(stack(apple_turnover, 1))
            $ hero.pay(mayonnaise, apple_turnover.value)
        "[biscuit_marshmallow.name] for [biscuit_marshmallow.value]" if hero.cash >= biscuit_marshmallow.value:
            $ hero.got(stack(biscuit_marshmallow, 1))
            $ hero.pay(mayonnaise, biscuit_marshmallow.value)
        "[butter_cake.name] for [butter_cake.value]" if hero.cash >= butter_cake.value:
            $ hero.got(stack(butter_cake, 1))
            $ hero.pay(mayonnaise, butter_cake.value)
        "[chocolate_cake.name] for [chocolate_cake.value]" if hero.cash >= chocolate_cake.value:
            $ hero.got(stack(chocolate_cake, 1))
            $ hero.pay(mayonnaise, chocolate_cake.value)
        "No thanks.":
            jump inventory_example_3
        "This is boring, show me everything.":
            call screen shop(hero, mayonnaise)

    may "alright{w=.2}{nw}"
    jump inventory_example_2

label inventory_example_3:
    may "That's it?"
    may "Go work you bum."



